//
// File:        test.java
// Author:      Tomasz Stachowiak
// e-mail:      <stach@>
// Created:     Tue Jan 14 1997
// Time-stamp: <97/01/16 14:14:52 stach>
// Copyright Tomasz Stachowiak 1997 NPAC, Syracuse University

// Description:

import java.awt.*;

public class AudioSender extends Frame {
  List memberList;

  public AudioSender() {
    setTitle("Audio Sender");
    Panel p = new Panel();
    p.setLayout(new FlowLayout());
    p.add(new Button("Start"));
    p.add(new Button("Stop"));
    
    Panel p1 = new Panel();
    memberList = new List(5, false);
    p1.add(memberList);

    add("North", p);
    add("South", p1);
  }

  public boolean handleEvent(Event evt) {
    if(evt.id == Event.WINDOW_DESTROY) System.exit(0);
    return super.handleEvent(evt);
  }

  public boolean action(Event evt, Object arg) {
    if (arg.equals("Start")) {
      // start
      System.out.println("Start");
    } else if (arg.equals("Stop")) {
      // stop
      System.out.println("Stop");
    } else return false;

    return true;
  }


  public static void main(String argv[]) {
    AudioCapture capture;
    Thread captureThread;
    NetProcess net;
    Thread netThread;

    net = new NetProcess();
    //net.add("stach", "audix");
    capture = new AudioCapture(net, 800);
    captureThread = new Thread(capture);
    netThread = new Thread(net);
    netThread.start();
    captureThread.start();
  }
}

